org.apache.poi.hssf.record.common

## Class FormatRun

- java.lang.Object
- - org.apache.poi.hssf.record.common.FormatRun

- All Implemented Interfaces:
    java.lang.Comparable<FormatRun>

      @Internal
      public class FormatRun
      extends java.lang.Object
      implements java.lang.Comparable<FormatRun>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormatRun(FormatRun other)`
    `FormatRun(LittleEndianInput in)`
    `FormatRun(short character, short fontIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FormatRun r)`
    `boolean` | `equals(java.lang.Object o)`
    `short` | `getCharacterPos()`
    `short` | `getFontIndex()`
    `int` | `hashCode()`
    `void` | `serialize(LittleEndianOutput out)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FormatRun

          public FormatRun(short character,
                           short fontIndex)

    - #### FormatRun

          public FormatRun(FormatRun other)

    - #### FormatRun

          public FormatRun(LittleEndianInput in)

  - ### Method Detail

    - #### getCharacterPos

          public short getCharacterPos()

    - #### getFontIndex

          public short getFontIndex()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(FormatRun r)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FormatRun>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.